## v2.1.9 (11.01.2022)
-----
-Support for android API Level 33

## v2.1.8 (01.24.2020)
-----
-Respects Limit Ad Tracking

## v2.1.7 (09.05.2017)
-----
-Patch for SO error due to circular dependency inside SDK

## v2.1.6 (08.17.2017)
-----
-Patch for NPE thrown when calling ```WebView.loadUrl();```
-Ability to turn on/off devMode using ```BlueKai.setDevMode();```

## v2.1.5 (03.06.2017)
-----
-Added a new method `enablePercentEncodingForSpace(boolean isSpacePercentEncoded)`
 for clients who prefer to encode the space char " " to "%20". If flag not set, default behavior encodes space to plus sign.

 This method can be called on the `BlueKai` instance that is returned when the SDK is initialized. To set the flag, you can call this method after SDK initialization as follows -

 ```
 BlueKai.getInstance().enablePercentEncodingForSpace(true);
 ```

## v2.1.4 (02.17.2017)
-----
-Database insert and update operations performed in the background

## v2.1.3 (01.22.2017)
-----
### Bug Fix
Max URL Length set to 2000 chars.

## v2.1.2(12.15.2016)
-----
- Console Logs disabled in Release Builds

### Bug Fix
- SQLite expression tree calculated using IN statement
- SQLite database object not prematurely close

## v2.1.1 (11.1.2016)
-----
### Bug Fix
- Improve SQLite connectivity

## v2.0 (05.27.2015)
-----
### Bug Fix
- Fixed memory leak in which every time the resume method is called it does not spawn a new web view

### Enhancements
- Added option to make direct calls to tags server instead of using the web view
- All calls either using web view or direct call, would send the Advertising ID as adid parameter if ad tracking is not limited in Google Settings
- Removed dependency of the SDK on android support library

## v1.1 (06.12.2014)
-----

### Bug Fix
- Pop-up window works correctly now when devMode is set

### Enhancements
- Bumping up targetSdkVersion to 19
- Adding https mode for sending data to BlueKai
- Added getter and setter methods for various attributes
- Data payload to BlueKai doesn’t include identifierForVendor (IMEI info) anymore
- Call to BlueKai doesnt have TC parameter anymore
- Constructor for SettingsLayout now also takes a background color to set

### Deprecated
- put(Map<String, String>) method in favor of putAll(Map<String, String>) method.
- setOptIn(boolean) method in favor of setOptInPreference(boolean)


### v1.0.2 (05.03.2014)
-----
- Update mobile proxy end-point
- Add `CHANGELOG.md`


### v1.0.1
-----
- Mobile proxy end-point


### v1.0.0
-----
Initial SDK release.
- Initial release
- Pass individual hints or collections
